# $Revision: 1.10 $, $Date: 2002/02/25 11:08:34 $
Summary:	Glide runtime for 3Dfx Voodoo2 boards
Summary(pl):	Biblioteki Glide do kart 3Dfx Voodoo2 
Name:		Glide_V2
Version:	2.53
Release:	7
Group:		Libraries
License:	GPL
Vendor:		3Dfx Interactive Inc.
URL:		http://www.3dfx.com	
Source0:	GlideV2.tar.gz
Icon:		3dfx.gif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This library allows the user to use a 3dfx Interactive Voodoo2 card
under Linux.

%description -l pl
Ta biblioteka pozwala uywa kart 3dfx Interactive Voodoo2 pod
Linuxem.

%prep
%setup -q -n GlideV2
chmod +x swlibs/include/make/ostype

%build
# Make sure we build for Voodoo2
export FX_GLIDE_HW=cvg
%{__make} V2 CNODEBUG="%{rpmcflags} %{!?debug:-fomit-frame-pointer -funroll-loops} \
	%{!?debug:-fexpensive-optimizations -ffast-math -DBIG_OPT}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_libdir},%{_bindir}}

######################################################################
# Install the Glide2x libraries
######################################################################

install glide2x/cvg/lib/libglide.so.2.53 \
	$RPM_BUILD_ROOT%{_libdir}/libglide.so.2.53

# Create symlinks
ln -sf libglide.so.2 $RPM_BUILD_ROOT%{_libdir}/libglide.so

# Create a compatibility link for the old name
ln -sf libglide.so.2.53 $RPM_BUILD_ROOT%{_libdir}/libglide2x.so.2
ln -sf libglide2x.so $RPM_BUILD_ROOT%{_libdir}/libglide2x.so

######################################################################
# Install the Glide3X libraries
######################################################################
install glide3x/cvg/lib/libglide3.so.3.01 \
	$RPM_BUILD_ROOT%{_libdir}/libglide3.so.3.01

# Create symlinks
ln -sf libglide3.so.3 $RPM_BUILD_ROOT%{_libdir}/libglide3.so

# Create a compatibility link for the old name
ln -sf libglide3.so.3.01 $RPM_BUILD_ROOT%{_libdir}/libglide3x.so.3
ln -sf libglide3x.so.3 $RPM_BUILD_ROOT%{_libdir}/libglide3x.so

######################################################################
# Install Texus
######################################################################
install -m 755 glide2x/swlibs/lib/libtexus.so.1.1 \
    $RPM_BUILD_ROOT%{_libdir}

ln -sf libtexus.so.1 $RPM_BUILD_ROOT%{_libdir}/libtexus.so

install swlibs/bin/texus $RPM_BUILD_ROOT%{_bindir}

######################################################################
# Install the Test Programs
######################################################################
# Make two copies so that the old test3Dfx is still there and
# we now have a consisten testGlide2x, testGlide3x
install glide2x/cvg/glide/tests/test00 \
	$RPM_BUILD_ROOT%{_bindir}/test3Dfx
install glide2x/cvg/glide/tests/test00 \
	$RPM_BUILD_ROOT%{_bindir}/testGlide2x
install glide3x/cvg/glide3/tests/test00 \
	$RPM_BUILD_ROOT%{_bindir}/testGlide3x

gzip -9nf glide2x/glide_license.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc glide2x/glide_license.txt.gz
%attr(755,root,root) %{_bindir}/texus
%attr(755,root,root) %{_bindir}/test3Dfx
%attr(755,root,root) %{_bindir}/testGlide3x
%attr(755,root,root) %{_bindir}/testGlide2x
%attr(755,root,root) %{_libdir}/libglide.so.2.53
%attr(755,root,root) %{_libdir}/libglide.so
%attr(755,root,root) %{_libdir}/libglide2x.so
%attr(755,root,root) %{_libdir}/libglide2x.so.2
%attr(755,root,root) %{_libdir}/libglide3.so.3.01
%attr(755,root,root) %{_libdir}/libglide3.so
%attr(755,root,root) %{_libdir}/libglide3x.so
%attr(755,root,root) %{_libdir}/libglide3x.so.3
%attr(755,root,root) %{_libdir}/libtexus.so.1.1
%attr(755,root,root) %{_libdir}/libtexus.so

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: Glide_V2.spec,v $
Revision 1.10  2002/02/25 11:08:34  kloczek
- cosmetics in %install.

Revision 1.9  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/18 08:40:26  marcus
-rel.7.

Revision 1.7  2002/02/01 00:35:37  ankry
- added Group(es/pt_BR/ru/uk)

Revision 1.6  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.5  2001/11/10 14:33:16  blues
- change Copyright to License

Revision 1.4  2001/05/02 16:29:03  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.3  2001/03/18 23:06:47  blues
- few more translations
- some clean-ups in groups file

Revision 1.2  2000/06/09 07:22:45  kloczek
- added using %%{__make} macro.

Revision 1.1  2000/05/23 12:58:20  baggins
- cleanup
- specs adapterized
- ready to go

* Thu Apr 20 2000 Joseph Kain <joseph@3dfx.com>
- Release 6
- Fixes to incompatibility with Athlon

* Thu Feb 17 2000 Joseph Kain <joseph@3dfx.com>
- Release 5
- Fixes to unmap boards properly at shutdown

* Fri Feb 04 2000 Joseph Kain <joseph@3dfx.com>
- Fixed typo that messed up compatbility symlinks for glide3
- Added libglide3x.so.3 and libglide2x.so.2 that were missing from %files

* Mon Jan 31 2000 Joseph Kain <joseph@3dfx.com>
- Merged Glide2x and Glide3x kits into a single package.

* Tue Nov 30 1999 Joseph Kain <joseph@3dfx.com>
- Built against initial source release
